Page MenuHomePhabricator

PageImages is picking the wrong image
Closed, ResolvedPublic

Description

Using VisualEditor, if you go to any page with a link to [[Michael Laucke]], such as [[List of flamenco guitarists#L|List of flamenco guitarists]] and '''hover''' over the link to [[Michael Laucke]], it shows the wrong photo; it used to automatically link to the photo in the infobox. I think this has something to do with that photo being deliberated upon in Commons, slated for possible deletion, and then being brought back as perfectly legal. Your thoughts on this? Would you know how to fix this, or is it an automatic mechanism? Many thanks.

Event Timeline

Checkingfax raised the priority of this task from to Needs Triage.
Checkingfax updated the task description. (Show Details)
Checkingfax added a subscriber: Checkingfax.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 22 2015, 5:29 AM
Checkingfax updated the task description. (Show Details)Oct 22 2015, 5:32 AM
Checkingfax set Security to None.
Checkingfax updated the task description. (Show Details)
Krenair added a subscriber: Krenair.

When reporting bugs against VisualEditor, please add the project.

IIRC we just use the image provided by https://www.mediawiki.org/wiki/Extension:PageImages

Using VisualEditor, if you go to: [[List of flamenco guitarists#L|List of flamenco guitarists]] and '''hover''' your mouse insertion I-beam over the link to [[Michael Laucke]], the pop-up image is not any image from the Michael Lucke page. The hover image looks like some kind of Madison Avenue stock image.

It's just showing the same image as https://en.wikipedia.org/w/index.php?title=Michael_Laucke&action=info though right, scaled down a bit and cropped?

It's just showing the same image as https://en.wikipedia.org/w/index.php?title=Michael_Laucke&action=info though right, scaled down a bit and cropped?

Yesterday it was showing a stock image. Today it looks like the "letter to Michael Laucke": http://i57.tinypic.com/2aj6qfk.jpg

Neither is the infobox image which should be the first one for the VisualEditor database to render.

VisualEditor isn't the software making the decision of which to use.

VisualEditor isn't the software making the decision of which to use.

How do we get it remedied? Thank you.

Krenair renamed this task from Using VisualEditor hovering over link no longer pulls up correct infobox image to PagesImages is picking the wrong image.Oct 23 2015, 2:28 PM
Krenair edited projects, added PageImages; removed VisualEditor.
Checkingfax triaged this task as Normal priority.Oct 24 2015, 1:48 PM
Aklapper raised the priority of this task from Normal to Needs Triage.Oct 24 2015, 4:27 PM

@Checkingfax: Resetting priority back to default value as per guidelines.

Checkingfax triaged this task as Normal priority.Oct 24 2015, 6:31 PM
Checkingfax raised the priority of this task from Normal to Needs Triage.
Checkingfax renamed this task from PagesImages is picking the wrong image to PageImages is picking the wrong image.Oct 24 2015, 6:35 PM
Jdlrobson triaged this task as Low priority.Oct 26 2015, 5:11 PM
Jdlrobson added a subscriber: Jdlrobson.

Still waiting for a fix on this.

Still waiting for a fix on this.

The best way to speed up fixing a certain bug that you are strongly interested in is investigating the code and cooking up a patch. If you'd like to give that a try, please see https://mediawiki.org/wiki/Gerrit/Tutorial - thanks!
The task has been prioritized as low. If you think there are convincing reasons that the priority should be different, please bring them up.

Akeron added a subscriber: Akeron.Nov 27 2015, 4:48 PM
Deskana closed this task as Resolved.Mar 14 2016, 4:21 PM
Deskana claimed this task.
Deskana added a subscriber: Deskana.

Whatever the problem was, it's resolved now; the page image for Michael Laucke is now the image from the infobox.

I should note, however, that the PageImages extension does not guarantee that the image from the infobox (or any other image) will be selected as a page's image. The real formula is more complex, taking a multitude of factors into account.